# Uses of Class
net.shibboleth.idp.cas.ticket.TicketContext

Packages that use TicketContext
Package
Description
net.shibboleth.idp.cas.ticket
APIs related to CAS tickets.

## Uses of TicketContext in net.shibboleth.idp.cas.ticket

Fields in net.shibboleth.idp.cas.ticket with type parameters of type TicketContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,TicketContext>`
TicketPrincipalLookupFunction.`ticketContextLookupFunction`
Ticket context lookup function.
Method parameters in net.shibboleth.idp.cas.ticket with type arguments of type TicketContext
Modifier and Type
Method
Description
`void`
TicketPrincipalLookupFunction.`setTicketContextLookupFunction(Function<ProfileRequestContext,TicketContext> function)`
Sets the function used to retrieve a `TicketContext` from the `ProfileRequestContext`.